Subject: Re: bug#42406: Mouse-wheel scrolling can be flickering

From: martin rudalics <[email-masked]>
Date: Thu, 17 Dec 2020 08:29:32 +0100

>>   >> Then something else must come into play here.  I don't see where
 >>   >> 'scroll-bar-toolkit-scroll' forces a mode line update.
 >>   >
 >>   > AFAIR, scroll-up does.
 >>
 >> 'scroll-up' runs scroll_command and nothing else.
 >
 > Yes.  And scroll_command calls window_scroll, and that calls
 > window_scroll_pixel_based, where we have these wset_update_mode_line
 > calls about which you asked.  Or what am I missing?

The rest of my message where I said that

 >> And if you mean the
 >> instances in window_scroll_pixel_based, then these are the ones Konrad
 >> removed in his Emacs.

but probably my formulation was not comprehensible enough.

martin